package org.richfaces.testng;

import static org.testng.Assert.assertEquals;


import org.richfaces.RichSeleniumTest;
import org.richfaces.SeleniumTestBase;
import org.richfaces.Templates;
import org.testng.annotations.AfterTest;
import org.testng.annotations.BeforeTest;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

public class JSFunctionTest extends SeleniumTestBase implements RichSeleniumTest {

    public JSFunctionTest() {
        super("http", "localhost", serverPort);
    }

    /**
     * This method are invoking before selenium tests started
     */
    @BeforeTest
    @Parameters( { "browser" })
    public void startSelenium(String browser) {
        super.startSelenium(browser);
    }

    /**
     * This method are invoking after selenium tests completed
     */
    @AfterTest
    public void stopSelenium() {
        super.stopSelenium();
    }

    @Test
    public void testJSFunctionComponent() throws Exception {
    	_testJSFunctionComponent(Templates.SIMPLE);
        _testJSFunctionComponent(Templates.DATATABLE);
        _testJSFunctionComponent(Templates.MODALPANEL);
    }

    private void _testJSFunctionComponent(Templates template) {
        renderPage(getTestUrl(), template);

        String showNameElemId = getParentId() + "showname";
        selenium.mouseOver("alex");
        waitForAjaxCompletion();
        assertEquals(getTextById(showNameElemId), "Alex");

        selenium.mouseOver("jonh");
        waitForAjaxCompletion();
        assertEquals(getTextById(showNameElemId), "Jonh");

        selenium.mouseOver("roger");
        waitForAjaxCompletion();
        assertEquals(getTextById(showNameElemId), "Roger");
    }

	public String getTestUrl() {
		return "/faces/pages/jsFunction/jsFunctionTest.xhtml";
	}

}
